Show / Hide Table of Contents

# Class GNBGauge

In-memory GNB job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<GunbreakerGauge>
GNBGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class GNBGauge : JobGaugeBase<GunbreakerGauge>

### Properties

| Improve this Doc View Source

#### Ammo

Gets the amount of ammo available.

##### Declaration

    public byte Ammo { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### AmmoComboStep

Gets the current step of the Gnashing Fang combo.

##### Declaration

    public byte AmmoComboStep { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MaxTimerDuration

Gets the max combo time of the Gnashing Fang combo.

##### Declaration

    public short MaxTimerDuration { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |